#include <iostream>
using namespace std;
int main()
{
    long long a,b,c,n;
    cin>>n>>a>>b;
    if(n==1)cout<<a<<endl;
    if(n==2)cout<<a<<endl;
    for(int i=2; i<n; i++)
    {
        c=a*b;
        if(c==0)c=9;
        else{
        for(int i=10;i<=c*10;i*=10)
        {
           if(c/(i/10)%10!=0) c-=i/10;
           else c+=9*(i/10);
        }
        }
        c%=1000;
        a=b;
        b=c;
    }
    cout<<b<<endl;

    return 0;
}
